From: Thorsten Alteholz <debian@alteholz.de>
Date: Sat, 27 Apr 2024 01:08:33 +0200
Subject: take care of implicit declaration of functions

---
 scan/sane/hpaio.c   | 1 +
 scan/sane/orblite.c | 3 ++-
 scan/sane/sclpml.c  | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/scan/sane/hpaio.c b/scan/sane/hpaio.c
index 62d14eb..0170682 100644
--- a/scan/sane/hpaio.c
+++ b/scan/sane/hpaio.c
@@ -51,6 +51,7 @@
 #include "escl.h"
 #include "io.h"
 #include "orblitei.h"
+#include "orblite.h"
 
 
 #define DEBUG_DECLARE_ONLY
diff --git a/scan/sane/orblite.c b/scan/sane/orblite.c
index ba86640..a3bfcb9 100644
--- a/scan/sane/orblite.c
+++ b/scan/sane/orblite.c
@@ -22,6 +22,7 @@
 #include <math.h>
 #include "utils.h"
 #include "io.h"
+#include <dlfcn.h>
 
 #ifdef __cplusplus
  }
@@ -195,7 +196,7 @@ bugout:
 
 static int bb_unload(SANE_THandle ps)
 {
-   _DBG("Calling orblite bb_unload: \n");
+   //_DBG("Calling orblite bb_unload: \n");
    if (ps->bb_handle)
    {
       dlclose(ps->bb_handle);
diff --git a/scan/sane/sclpml.c b/scan/sane/sclpml.c
index dfeedb9..0dbc199 100644
--- a/scan/sane/sclpml.c
+++ b/scan/sane/sclpml.c
@@ -25,11 +25,11 @@
 
 \************************************************************************************/
 
+#define _GNU_SOURCE
 #include <stdio.h>
 #include <string.h>
 #include <unistd.h>
 #include <fcntl.h>
-#include <string.h>
 #include <sys/time.h>
 #include "sane.h"
 #include "saneopts.h"
